%define packname  BSgenome.Celegans.UCSC.ce2 

Name:             R-%{packname}
Version:          1.2.0 
Release:          5
Summary:          Caenorhabditis elegans genome (UCSC Release ce2)
Summary(fr):      Genome de Caenorhabditis elegans (UCSC Release ce2)

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://www.bioconductor.org/packages/2.0/data/annotation/html/%{packname}.html
Source0:          http://www.bioconductor.org/packages/2.0/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires:         R 
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex 

%description
Caenorhabditis elegans genome grabbed from UCSC (ce2, Mar. 2004)
and stored in Biostrings objects
%description -l fr
Genome de Caenorhabditis elegans extrait par UCSC (ce2, Mar. 2004)
et stocké dans un objet Biostrings
%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
#this section refered to Biostrings which refer to this package
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/scripts
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/R

#noarch
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/man


%changelog
* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 1.2.0-5
- Remove the distro specific build of this package

* Fri Nov 23 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-4
- Correction on the dependancies

* Thu Sep 20 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-3
- Changes in the requires

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-2
-Change the license tag

* Mon Jul 16 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-1
- initial package for Fedora
